--  File:     ISOL6_3.SQL
--            Microsoft TPC-H Benchmark Kit Ver. 2.14.0-1010
--            Copyright Microsoft, 2010, 2011
--
-- Implemented trunc(x,2) as ROUND(x,2,1)
--
--
--  Wait for few seconds to allow ISOL6_2 to finish earlier than ISO6_3
WAITFOR DELAY '00:00:12'

--	ACID CODE BEGIN
print ' '
print 'TPC-H ACID Query Start:'
select convert(char(30), getdate(),9)
print ' '
--	ACID CODE END

SELECT	l1.L_RETURNFLAG,
	l1.L_LINESTATUS,
	SUM(l1.L_QUANTITY)					AS SUM_QTY,
	SUM(l1.L_EXTENDEDPRICE)				AS SUM_BASE_PRICE,
	SUM(l1.L_EXTENDEDPRICE*(1-l1.L_DISCOUNT))		AS SUM_DISC_PRICE,
	SUM(l1.L_EXTENDEDPRICE*(1-l1.L_DISCOUNT)*(1+l1.L_TAX))	AS SUM_CHARGE,
	AVG(l1.L_QUANTITY	)				AS AVG_QTY,
	AVG(l1.L_EXTENDEDPRICE)				AS AVG_PRICE,
	AVG(l1.L_DISCOUNT)					AS AVG_DISC,
	COUNT(*)					AS COUNT_ORDER
FROM	LINEITEM l1, LINEITEM l2, LINEITEM l3,LINEITEM l4, LINEITEM l5,LINEITEM l6--, LINEITEM l7,LINEITEM l8
WHERE	
	l1.L_ORDERKEY = l2.L_ORDERKEY and l1.L_LINENUMBER = l2.L_LINENUMBER
        and l2.L_ORDERKEY = l3.L_ORDERKEY and l2.L_LINENUMBER < l3.L_LINENUMBER
        and l3.L_ORDERKEY = l4.L_ORDERKEY and l3.L_LINENUMBER < l4.L_LINENUMBER
		and l5.L_ORDERKEY = l4.L_ORDERKEY and l5.L_LINENUMBER < l4.L_LINENUMBER
		and l5.L_ORDERKEY = l6.L_ORDERKEY and l6.L_LINENUMBER < l5.L_LINENUMBER
GROUP	BY l1.L_RETURNFLAG,
	   l1.L_LINESTATUS
ORDER	BY l1.L_RETURNFLAG,
	   l1.L_LINESTATUS

--	ACID CODE BEGIN
print ' '
print 'TPC-H ACID Query End:'
select convert(char(30), getdate(),9)
print ' '
--	ACID CODE END

GO



